package com.hw.mes.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 位置信息编码
 * @ClassName: StationConfig
 * @Author  : xins
 * @Date    :2024-03-25  8:53
 * @Version :1.0
 */
@Configuration
@ConfigurationProperties(prefix = "mes")
public class MesConfig
{
    /**
     * 五楼拆分区域发送socket server host
     */
    private String socketServerHost;

    /**
     * 五楼拆分区域发送socket server port
     */
    private int socketServerPort;

    /**
     * 反馈信息超时时间（单位：毫秒）
     */
    private int socketServerReadTimeOut;

    public String getSocketServerHost() {
        return socketServerHost;
    }

    public void setSocketServerHost(String socketServerHost) {
        this.socketServerHost = socketServerHost;
    }

    public int getSocketServerPort() {
        return socketServerPort;
    }

    public void setSocketServerPort(int socketServerPort) {
        this.socketServerPort = socketServerPort;
    }

    public int getSocketServerReadTimeOut() {
        return socketServerReadTimeOut;
    }

    public void setSocketServerReadTimeOut(int socketServerReadTimeOut) {
        this.socketServerReadTimeOut = socketServerReadTimeOut;
    }
}
